Bug 966563 - [abrt] rst2pdf-0.92-3.fc18: __init__.py:192:system_message:SystemMessage: README:200: (SEVERE/4) Title level inconsistent:
[abrt] rst2pdf-0.92-3.fc18: __init__.py:192:system_message:SystemMessage: REA...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rst2pdf (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
abrt_hash:6487d4ca5c810aae0c267bbff19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 09:37 EDT by patrick.guio
Modified: 2014-02-05 16:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:30:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: README (14.96 KB, text/plain)
2013-05-23 09:37 EDT, patrick.guio
no flags Details
File: backtrace (3.92 KB, text/plain)
2013-05-23 09:37 EDT, patrick.guio
no flags Details
File: core_backtrace (2.72 KB, text/plain)
2013-05-23 09:37 EDT, patrick.guio
no flags Details
File: environ (7.76 KB, text/plain)
2013-05-23 09:37 EDT, patrick.guio
no flags Details

  None (edit)
Description patrick.guio 2013-05-23 09:37:03 EDT
Description of problem:
running it on a README file

Version-Release number of selected component:
rst2pdf-0.92-3.fc18

Additional info:
cmdline:        /usr/bin/python /bin/rst2pdf README
dso_list:       python-docutils-0.10-0.6.20120824svn7502.fc18.noarch
executable:     /bin/rst2pdf
kernel:         3.9.2-200.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
__init__.py:192:system_message:SystemMessage: README:200: (SEVERE/4) Title level inconsistent:

1. How can I test the model to web host transfer?
---------------------------------------

Traceback (most recent call last):
  File "/bin/rst2pdf", line 9, in <module>
    load_entry_point('rst2pdf==0.92', 'console_scripts', 'rst2pdf')()
  File "/usr/lib/python2.7/site-packages/rst2pdf/createpdf.py", line 1449, in main
    compressed=options.compressed)
  File "/usr/lib/python2.7/site-packages/rst2pdf/createpdf.py", line 534, in createPdf
    settings_overrides=settings_overrides)
  File "/usr/lib/python2.7/site-packages/docutils/core.py", line 479, in publish_doctree
    output = pub.publish(enable_exit_status=enable_exit_status)
  File "/usr/lib/python2.7/site-packages/docutils/core.py", line 217, in publish
    self.settings)
  File "/usr/lib/python2.7/site-packages/docutils/readers/__init__.py", line 72, in read
    self.parse()
  File "/usr/lib/python2.7/site-packages/docutils/readers/__init__.py", line 78, in parse
    self.parser.parse(self.input, document)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/__init__.py", line 162, in parse
    self.statemachine.run(inputlines, document, inliner=self.inliner)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 174, in run
    input_source=document['source'])
  File "/usr/lib/python2.7/site-packages/docutils/statemachine.py", line 239, in run
    context, state, transitions)
  File "/usr/lib/python2.7/site-packages/docutils/statemachine.py", line 460, in check_line
    return method(match, context, next_state)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 2941, in text
    self.section(title.lstrip(), source, style, lineno + 1, messages)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 331, in section
    self.new_subsection(title, lineno, messages)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 399, in new_subsection
    node=section_node, match_titles=True)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 286, in nested_parse
    node=node, match_titles=match_titles)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 199, in run
    results = StateMachineWS.run(self, input_lines, input_offset)
  File "/usr/lib/python2.7/site-packages/docutils/statemachine.py", line 239, in run
    context, state, transitions)
  File "/usr/lib/python2.7/site-packages/docutils/statemachine.py", line 460, in check_line
    return method(match, context, next_state)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 2706, in underline
    self.section(title, source, style, lineno - 1, messages)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 330, in section
    if self.check_subsection(source, style, lineno):
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 359, in check_subsection
    self.parent += self.title_inconsistent(source, lineno)
  File "/usr/lib/python2.7/site-packages/docutils/parsers/rst/states.py", line 377, in title_inconsistent
    line=lineno)
  File "/usr/lib/python2.7/site-packages/docutils/utils/__init__.py", line 234, in severe
    return self.system_message(self.SEVERE_LEVEL, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/docutils/utils/__init__.py", line 192, in system_message
    raise SystemMessage(msg, level)
SystemMessage: README:200: (SEVERE/4) Title level inconsistent:

1. How can I test the model to web host transfer?
---------------------------------------

Local variables in innermost frame:
level: 4
message: 'Title level inconsistent:'
self: <docutils.utils.Reporter instance at 0x19226c8>
source: 'README'
kwargs: {'line': 200}
msg: <system_message: <paragraph...><literal_block...>>
attributes: {'source': 'README', 'line': 200}
line: 200
children: (<literal_block: <#text: '1. How can I t ...'>>,)
Comment 1 patrick.guio 2013-05-23 09:37:14 EDT
Created attachment 752208 [details]
File: README
Comment 2 patrick.guio 2013-05-23 09:37:28 EDT
Created attachment 752209 [details]
File: backtrace
Comment 3 patrick.guio 2013-05-23 09:37:32 EDT
Created attachment 752210 [details]
File: core_backtrace
Comment 4 patrick.guio 2013-05-23 09:37:37 EDT
Created attachment 752211 [details]
File: environ
Comment 5 Fedora End Of Life 2013-12-21 08:41:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:30:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.